@echo off
setlocal

rem  Batch file for launching MAD8, John Jowett, CERN 22/8/2001.
rem  Derived from earlier version written at SLAC by Mark Woodley.

rem  This is a wrapper for the MAD8 executable which is necessary only because
rem  MAD8 (being a very old program written for old systems like Unix)
rem  does not accept input file names as command-line arguments.
rem  This could be changed in the Windows version but I decided to change the
rem  source code as little as possible to simplify maintenance.

rem  If you start the executable (mad8.exe) directly, the DICT environment variable must already
rem  be set to the path to the mad8.dic file (as below).  
rem  This is not necessary if the executable is started by this .bat file.

rem  The main purpose of this .bat file is to allow you to keep MAD input files 
rem  in any convenient working folder (without this people end up keeping them in the 
rem  program folder which is undesirable). 

rem  One convenient way to use this it to make a shortcut to the .bat file in a 
rem  convenien location (e.g. desktop, working folder, ...) and drag input files 
rem  onto the shortcut icon.

rem  This file assumes that you have installed the mad8.dic and mad8.exe files in 
rem  the locations 
rem
rem       "C:\Program Files\mad\mad8\mad8.exe"
rem       "C:\Program Files\mad\mad8\mad8.dic"
rem
rem  (which are the recommended ones for a typical Windows rem  PC).  
rem  In case of problems, or if you have installed the MAD files in another 
rem  location,  please check that they are precisely correct and adapt if necessary. 

rem  Note that, in this file, we cannot use long forms like 
rem       "C:\Program Files\mad\mad8\mad8.exe" 
rem  You must use the "8dot3" type file names like 
rem      "C:\Progra~1\mad\mad8\mad8.exe"
rem  Conceivably "C:\Program Files" might not map to "C:\Progra~1".
rem  You can check the mapping of long to short names with the DIR /X commmand 
rem  at the Windows command prompt. 
rem  
rem  --------------------------------------------------------------------------------
rem  --------------------------------------------------------------------------------

rem  Go to folder containing the input file and execute from there.
rem  from there

     pushd %~dp1

     @echo off
     set fname=%1

rem  set up a (local) environment variable with dict file location

     set DICT=C:\Progra~1\mad\mad8\mad8.dic

        rem  Check that worked by uncommenting next two lines:
        rem  set
        rem  more < %dict%

rem  run MAD8, syntax here seems to be critical
     C:\Progra~1\mad8\mad8.exe<%fname%

rem  pause to look at terminal output
     pause

endlocal
popd
@echo on
